matrix:
  platform:
  - debian10
  - ubuntu2004
  bazel:
  - 6.x
  - 7.x
tasks:
  verify_cpp:
    name: Verify C++ targets
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_flags:
    - '--cxxopt=-std=c++17'
    build_targets:
    - '@riegeli//riegeli/base/...'
    - '@riegeli//riegeli/brotli/...'
    - '@riegeli//riegeli/bytes/...'
    - '@riegeli//riegeli/bzip2/...'
    - '@riegeli//riegeli/chunk_encoding/...'
    - '@riegeli//riegeli/containers/...'
    - '@riegeli//riegeli/csv/...'
    - '@riegeli//riegeli/digests/...'
    - '@riegeli//riegeli/endian/...'
    - '@riegeli//riegeli/lines/...'
    - '@riegeli//riegeli/lz4/...'
    - '@riegeli//riegeli/messages/...'
    - '@riegeli//riegeli/ordered_varint/...'
    - '@riegeli//riegeli/records:all'
    - '@riegeli//riegeli/snappy/...'
    - '@riegeli//riegeli/text/...'
    - '@riegeli//riegeli/varint/...'
    - '@riegeli//riegeli/xz/...'
    - '@riegeli//riegeli/zlib/...'
    - '@riegeli//riegeli/zstd/...'
  verify_python:
    name: Verify Python targets
    platform: ${{ platform }}
    bazel: 7.x
    build_flags:
    - '--cxxopt=-std=c++17'
    build_targets:
    - '@riegeli//python/riegeli'
    test_flags:
    - '--cxxopt=-std=c++17'
    test_targets:
    - "@riegeli//python/riegeli/records/tests/..."
